Subject: Re: linux-next: manual merge of the rdma tree with Linus' tree

From: Doug Ledford <[email-masked]>
Date: Fri, 14 Jun 2019 09:11:13 -0400

On Fri, 2019-06-14 at 13:00 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rdma tree got conflicts in:
> 
>   drivers/infiniband/core/uverbs_cmd.c
>   drivers/infiniband/core/uverbs_std_types_cq.c
> 
> between commit:
> 
>   6876aaedc8a1 ("RDMA/uverbs: Pass udata on uverbs error unwind")
> 
> from Linus' tree and commit:
> 
>   e39afe3d6dbd ("RDMA: Convert CQ allocations to be under core
> responsibility")
> 
> from the rdma tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your
> tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any
> particularly
> complex conflicts.
> 

Thanks Stephen.  There will be at least one more coming too.  We've had
a number of -rc patches and -next patches that touch the same area of
code this cycle.

-- 
Doug Ledford <[email-masked]>
    GPG KeyID: B826A3330E572FDD
    Key fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57
2FDD